package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.List;

/**
 * @Description 餐饮索引订单
 * @Author: ph
 * @Date: 2019/12/9 19:50
 */
public class QxdIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = -2958445984867228552L;

    /**
     * 预约时间
     */
    private Integer isReserveTakeoutTimeEmpty;

    /**
     * 是否制作完成
     */
    private Integer isProductionEnd;


    /**
     * 平台支付
     */
    private Integer usePlatForm;

    /**
     * 使用钱包金额
     */
    private Integer walletAmount;

    /**
     * 支付金额
     */
    private Integer amount;

    /**
     * 找零金额
     */
    private Integer changeAmount;

    /**
     * 活动id列表
     */
    private List<Long> activityIdList;

    /**
     * 优惠id列表
     */
    private List<String> discountIdList;

    /**
     * 是否退款完成
     */
    private Integer refundCompleted;

    /**
     * 是否使用优惠 0：未使用 1：使用
     */
    private Integer discount;

    /**
     * 买家备注信息
     */
    private String buyerRemarks;

    /**
     * 第三方支付单号
     */
    private String thirdPayNo;

    /**
     * 全局搜索
     */
    private String globalSearch;

    public String getGlobalSearch() {
        return globalSearch;
    }

    public void setGlobalSearch(String globalSearch) {
        this.globalSearch = globalSearch;
    }


    public String getThirdPayNo() { return thirdPayNo; }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    public String getBuyerRemarks() {
        return buyerRemarks;
    }

    public void setBuyerRemarks(String buyerRemarks) {
        this.buyerRemarks = buyerRemarks;
    }

    public Integer getDiscount() {
        return discount;
    }

    public void setDiscount(Integer discount) {
        this.discount = discount;
    }


    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public List<String> getDiscountIdList() {
        return discountIdList;
    }

    public void setDiscountIdList(List<String> discountIdList) {
        this.discountIdList = discountIdList;
    }

    public List<Long> getActivityIdList() {
        return activityIdList;
    }

    public void setActivityIdList(List<Long> activityIdList) {
        this.activityIdList = activityIdList;
    }

    public Integer getUsePlatForm() {
        return usePlatForm;
    }

    public void setUsePlatForm(Integer usePlatForm) {
        this.usePlatForm = usePlatForm;
    }

    public Integer getIsProductionEnd() {
        return isProductionEnd;
    }

    public void setIsProductionEnd(Integer isProductionEnd) {
        this.isProductionEnd = isProductionEnd;
    }

    public Integer getIsReserveTakeoutTimeEmpty() {
        return isReserveTakeoutTimeEmpty;
    }

    public void setIsReserveTakeoutTimeEmpty(Integer isReserveTakeoutTimeEmpty) {
        this.isReserveTakeoutTimeEmpty = isReserveTakeoutTimeEmpty;
    }

    public Integer getWalletAmount() {
        return walletAmount;
    }

    public void setWalletAmount(Integer walletAmount) {
        this.walletAmount = walletAmount;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Integer changeAmount) {
        this.changeAmount = changeAmount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
